Package org.apache.aries.jax.rs.rest.management

## Class RestManagementConstants

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.RestManagementConstants

    public class RestManagementConstants
    extends Object

### Field Summary

Fields
`static String` `APPLICATION_BUNDLE_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLE_JSON_TYPE`
`static String` `APPLICATION_BUNDLE_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLE_XML_TYPE`
`static String` `APPLICATION_BUNDLEEXCEPTION_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLEEXCEPTION_JSON_TYPE`
`static String` `APPLICATION_BUNDLEEXCEPTION_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLEEXCEPTION_XML_TYPE`
`static String` `APPLICATION_BUNDLEHEADER_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLEHEADER_JSON_TYPE`
`static String` `APPLICATION_BUNDLEHEADER_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLEHEADER_XML_TYPE`
`static String` `APPLICATION_BUNDLES_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLES_JSON_TYPE`
`static String` `APPLICATION_BUNDLES_REPRESENTATIONS_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLES_REPRESENTATIONS_JSON_TYPE`
`static String` `APPLICATION_BUNDLES_REPRESENTATIONS_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLES_REPRESENTATIONS_XML_TYPE`
`static String` `APPLICATION_BUNDLES_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLES_XML_TYPE`
`static String` `APPLICATION_BUNDLESTARTLEVEL_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLESTARTLEVEL_JSON_TYPE`
`static String` `APPLICATION_BUNDLESTARTLEVEL_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLESTARTLEVEL_XML_TYPE`
`static String` `APPLICATION_BUNDLESTATE_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLESTATE_JSON_TYPE`
`static String` `APPLICATION_BUNDLESTATE_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_BUNDLESTATE_XML_TYPE`
`static String` `APPLICATION_EXTENSIONS_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_EXTENSIONS_JSON_TYPE`
`static String` `APPLICATION_EXTENSIONS_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_EXTENSIONS_XML_TYPE`
`static String` `APPLICATION_FRAMEWORKSTARTLEVEL_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_FRAMEWORKSTARTLEVEL_JSON_TYPE`
`static String` `APPLICATION_FRAMEWORKSTARTLEVEL_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_FRAMEWORKSTARTLEVEL_XML_TYPE`
`static String` `APPLICATION_SERVICE_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_SERVICE_JSON_TYPE`
`static String` `APPLICATION_SERVICE_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_SERVICE_XML_TYPE`
`static String` `APPLICATION_SERVICES_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_SERVICES_JSON_TYPE`
`static String` `APPLICATION_SERVICES_REPRESENTATIONS_JSON`
`static javax.ws.rs.core.MediaType` `APPLICATION_SERVICES_REPRESENTATIONS_JSON_TYPE`
`static String` `APPLICATION_SERVICES_REPRESENTATIONS_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_SERVICES_REPRESENTATIONS_XML_TYPE`
`static String` `APPLICATION_SERVICES_XML`
`static javax.ws.rs.core.MediaType` `APPLICATION_SERVICES_XML_TYPE`
`static String` `APPLICATION_VNDOSGIBUNDLE`
`static javax.ws.rs.core.MediaType` `APPLICATION_VNDOSGIBUNDLE_TYPE`
`static String` `SPECIFICATION_IMPLEMENTATION`
`static String` `SPECIFICATION_VERSION`

### Constructor Summary

Constructors
`RestManagementConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SPECIFICATION_IMPLEMENTATION

    public static final String SPECIFICATION_IMPLEMENTATION

See Also:
  Constant Field Values

#### SPECIFICATION_VERSION

    public static final String SPECIFICATION_VERSION

See Also:
  Constant Field Values

#### APPLICATION_BUNDLE_JSON

    public static final String APPLICATION_BUNDLE_JSON

See Also:
  Constant Field Values

#### APPLICATION_BUNDLE_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLE_JSON_TYPE

#### APPLICATION_BUNDLE_XML

    public static final String APPLICATION_BUNDLE_XML

See Also:
  Constant Field Values

#### APPLICATION_BUNDLE_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLE_XML_TYPE

#### APPLICATION_BUNDLEEXCEPTION_JSON

    public static final String APPLICATION_BUNDLEEXCEPTION_JSON

See Also:
  Constant Field Values

#### APPLICATION_BUNDLEEXCEPTION_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLEEXCEPTION_JSON_TYPE

#### APPLICATION_BUNDLEEXCEPTION_XML

    public static final String APPLICATION_BUNDLEEXCEPTION_XML

See Also:
  Constant Field Values

#### APPLICATION_BUNDLEEXCEPTION_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLEEXCEPTION_XML_TYPE

#### APPLICATION_BUNDLEHEADER_JSON

    public static final String APPLICATION_BUNDLEHEADER_JSON

See Also:
  Constant Field Values

#### APPLICATION_BUNDLEHEADER_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLEHEADER_JSON_TYPE

#### APPLICATION_BUNDLEHEADER_XML

    public static final String APPLICATION_BUNDLEHEADER_XML

See Also:
  Constant Field Values

#### APPLICATION_BUNDLEHEADER_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLEHEADER_XML_TYPE

#### APPLICATION_BUNDLES_JSON

    public static final String APPLICATION_BUNDLES_JSON

See Also:
  Constant Field Values

#### APPLICATION_BUNDLES_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLES_JSON_TYPE

#### APPLICATION_BUNDLES_REPRESENTATIONS_JSON

    public static final String APPLICATION_BUNDLES_REPRESENTATIONS_JSON

See Also:
  Constant Field Values

#### APPLICATION_BUNDLES_REPRESENTATIONS_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLES_REPRESENTATIONS_JSON_TYPE

#### APPLICATION_BUNDLES_REPRESENTATIONS_XML

    public static final String APPLICATION_BUNDLES_REPRESENTATIONS_XML

See Also:
  Constant Field Values

#### APPLICATION_BUNDLES_REPRESENTATIONS_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLES_REPRESENTATIONS_XML_TYPE

#### APPLICATION_BUNDLES_XML

    public static final String APPLICATION_BUNDLES_XML

See Also:
  Constant Field Values

#### APPLICATION_BUNDLES_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLES_XML_TYPE

#### APPLICATION_BUNDLESTARTLEVEL_JSON

    public static final String APPLICATION_BUNDLESTARTLEVEL_JSON

See Also:
  Constant Field Values

#### APPLICATION_BUNDLESTARTLEVEL_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLESTARTLEVEL_JSON_TYPE

#### APPLICATION_BUNDLESTARTLEVEL_XML

    public static final String APPLICATION_BUNDLESTARTLEVEL_XML

See Also:
  Constant Field Values

#### APPLICATION_BUNDLESTARTLEVEL_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLESTARTLEVEL_XML_TYPE

#### APPLICATION_BUNDLESTATE_JSON

    public static final String APPLICATION_BUNDLESTATE_JSON

See Also:
  Constant Field Values

#### APPLICATION_BUNDLESTATE_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLESTATE_JSON_TYPE

#### APPLICATION_BUNDLESTATE_XML

    public static final String APPLICATION_BUNDLESTATE_XML

See Also:
  Constant Field Values

#### APPLICATION_BUNDLESTATE_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_BUNDLESTATE_XML_TYPE

#### APPLICATION_EXTENSIONS_JSON

    public static final String APPLICATION_EXTENSIONS_JSON

See Also:
  Constant Field Values

#### APPLICATION_EXTENSIONS_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_EXTENSIONS_JSON_TYPE

#### APPLICATION_EXTENSIONS_XML

    public static final String APPLICATION_EXTENSIONS_XML

See Also:
  Constant Field Values

#### APPLICATION_EXTENSIONS_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_EXTENSIONS_XML_TYPE

#### APPLICATION_FRAMEWORKSTARTLEVEL_JSON

    public static final String APPLICATION_FRAMEWORKSTARTLEVEL_JSON

See Also:
  Constant Field Values

#### APPLICATION_FRAMEWORKSTARTLEVEL_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_FRAMEWORKSTARTLEVEL_JSON_TYPE

#### APPLICATION_FRAMEWORKSTARTLEVEL_XML

    public static final String APPLICATION_FRAMEWORKSTARTLEVEL_XML

See Also:
  Constant Field Values

#### APPLICATION_FRAMEWORKSTARTLEVEL_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_FRAMEWORKSTARTLEVEL_XML_TYPE

#### APPLICATION_SERVICE_JSON

    public static final String APPLICATION_SERVICE_JSON

See Also:
  Constant Field Values

#### APPLICATION_SERVICE_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_SERVICE_JSON_TYPE

#### APPLICATION_SERVICE_XML

    public static final String APPLICATION_SERVICE_XML

See Also:
  Constant Field Values

#### APPLICATION_SERVICE_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_SERVICE_XML_TYPE

#### APPLICATION_SERVICES_JSON

    public static final String APPLICATION_SERVICES_JSON

See Also:
  Constant Field Values

#### APPLICATION_SERVICES_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_SERVICES_JSON_TYPE

#### APPLICATION_SERVICES_REPRESENTATIONS_JSON

    public static final String APPLICATION_SERVICES_REPRESENTATIONS_JSON

See Also:
  Constant Field Values

#### APPLICATION_SERVICES_REPRESENTATIONS_JSON_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_SERVICES_REPRESENTATIONS_JSON_TYPE

#### APPLICATION_SERVICES_REPRESENTATIONS_XML

    public static final String APPLICATION_SERVICES_REPRESENTATIONS_XML

See Also:
  Constant Field Values

#### APPLICATION_SERVICES_REPRESENTATIONS_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_SERVICES_REPRESENTATIONS_XML_TYPE

#### APPLICATION_SERVICES_XML

    public static final String APPLICATION_SERVICES_XML

See Also:
  Constant Field Values

#### APPLICATION_SERVICES_XML_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_SERVICES_XML_TYPE

#### APPLICATION_VNDOSGIBUNDLE

    public static final String APPLICATION_VNDOSGIBUNDLE

See Also:
  Constant Field Values

#### APPLICATION_VNDOSGIBUNDLE_TYPE

    public static final javax.ws.rs.core.MediaType APPLICATION_VNDOSGIBUNDLE_TYPE

### Constructor Detail

#### RestManagementConstants

    public RestManagementConstants()